Create a Microsoft Teams messaging app
curl --request POST \
--url https://api.interchange.io/api/v2/messaging-apps/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationTenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientSecret": "<string>",
"brand": {
"displayName": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"accentColor": "<string>",
"iconAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"termsUrl": "<string>"
}
}
'import requests
url = "https://api.interchange.io/api/v2/messaging-apps/teams"
payload = {
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationTenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientSecret": "<string>",
"brand": {
"displayName": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"accentColor": "<string>",
"iconAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"termsUrl": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
applicationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
applicationTenantId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clientSecret: '<string>',
brand: {
displayName: '<string>',
supportUrl: '<string>',
privacyPolicyUrl: '<string>',
shortDescription: '<string>',
accentColor: '<string>',
iconAssetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
termsUrl: '<string>'
}
})
};
fetch('https://api.interchange.io/api/v2/messaging-apps/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": 4503599627370495,
"agentKey": "<string>",
"brand": {
"displayName": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"accentColor": "<string>",
"iconAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"termsUrl": "<string>"
},
"providerRef": {
"provider": "slack",
"applicationId": "<string>"
},
"status": "draft"
},
"messagingEndpoint": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Account
Create a Microsoft Teams messaging app
Register a customer-owned Microsoft Entra/Bot application and white-label branding. Credentials are written to encrypted secret storage and never returned. Requires a directly authenticated active organization administrator.
POST
/
messaging-apps
/
teams
Create a Microsoft Teams messaging app
curl --request POST \
--url https://api.interchange.io/api/v2/messaging-apps/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationTenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientSecret": "<string>",
"brand": {
"displayName": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"accentColor": "<string>",
"iconAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"termsUrl": "<string>"
}
}
'import requests
url = "https://api.interchange.io/api/v2/messaging-apps/teams"
payload = {
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationTenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientSecret": "<string>",
"brand": {
"displayName": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"accentColor": "<string>",
"iconAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"termsUrl": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
applicationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
applicationTenantId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clientSecret: '<string>',
brand: {
displayName: '<string>',
supportUrl: '<string>',
privacyPolicyUrl: '<string>',
shortDescription: '<string>',
accentColor: '<string>',
iconAssetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
termsUrl: '<string>'
}
})
};
fetch('https://api.interchange.io/api/v2/messaging-apps/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": 4503599627370495,
"agentKey": "<string>",
"brand": {
"displayName": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"accentColor": "<string>",
"iconAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"termsUrl": "<string>"
},
"providerRef": {
"provider": "slack",
"applicationId": "<string>"
},
"status": "draft"
},
"messagingEndpoint": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required string length:
16 - 4096Show child attributes
Show child attributes